Skip to content
Start here

List Internet services categories

radar.ranking.internet_services.categories(InternetServiceCategoriesParams**kwargs) -> InternetServiceCategoriesResponse
GET/radar/ranking/internet_services/categories

Retrieves the list of Internet services categories.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
date: Optional[SequenceNotStr[Union[null, null]]]

Filters results by the specified array of dates.

format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: Optional[int]

Limits the number of objects returned in the response.

name: Optional[SequenceNotStr[str]]

Array of names used to label the series in the response.

ReturnsExpand Collapse
class InternetServiceCategoriesResponse:
categories_0: List[Categories0]
name: str

List Internet services categories

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.ranking.internet_services.categories()
print(response.categories_0)
{
  "result": {
    "categories_0": [
      {
        "name": "Generative AI"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "categories_0": [
      {
        "name": "Generative AI"
      }
    ]
  },
  "success": true
}